org.apache.solr.client.solrj.io.eval

## Class TemporalEvaluatorEpoch

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.ComplexEvaluator
  - - org.apache.solr.client.solrj.io.eval.TemporalEvaluator
    - - org.apache.solr.client.solrj.io.eval.TemporalEvaluatorEpoch

All Implemented Interfaces:
  Serializable, StreamEvaluator, Expressible

    public class TemporalEvaluatorEpoch
    extends TemporalEvaluator

Provides a epoch stream evaluator

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `FUNCTION_NAME`

### Fields inherited from class org.apache.solr.client.solrj.io.eval.ComplexEvaluator

`constructingFactory, nodeId, serialVersionUID, streamContext, subEvaluators`

### Constructor Summary

Constructors
Constructor and Description
`TemporalEvaluatorEpoch(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `evaluateDate(TemporalAccessor aDate)`
`String` `getFunction()`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.TemporalEvaluator

`evaluate, getInstant, toExplanation, toExpression`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.ComplexEvaluator

`getStreamContext, setStreamContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.StreamEvaluator

`evaluateOverContext`

### Field Detail

#### FUNCTION_NAME

    public static final String FUNCTION_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### TemporalEvaluatorEpoch

    public TemporalEvaluatorEpoch(StreamExpression expression,
                                  StreamFactory factory)
                           throws IOException

Throws:
  `IOException`

### Method Detail

#### getFunction

    public String getFunction()

Specified by:
  `getFunction` in class `TemporalEvaluator`

#### evaluateDate

    public Object evaluateDate(TemporalAccessor aDate)
                        throws IOException

Specified by:
  `evaluateDate` in class `TemporalEvaluator`
Throws:
  `IOException`